Name:          libkysdk-system
Version:       2.2.3.5
Release:       3
Summary:       Kylin Software Development Kit - System Layer Kit
License:       GPL-2+
URL:           http://www.ukui.org
Source0:       %{name}-%{version}.tar.gz

Patch01:       0001-Removing-the-strlcpy-function-to-fix-the-compilation.patch
Patch02:       0001-fix-libkysdk-system-2.2.3.5-known-issue.patch

BuildRequires: cmake
BuildRequires: glibc-devel
BuildRequires: systemd-devel
BuildRequires: cjson-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: libkysdk-log-devel
BuildRequires: libkysdk-config-devel
BuildRequires: libkysdk-utils-devel
BuildRequires: libkysdk-timer-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: systemd-devel
BuildRequires: opencv
BuildRequires: libarchive-devel
BuildRequires: tesseract-devel
BuildRequires: cups-devel
BuildRequires: sane-backends-devel
BuildRequires: libcurl-devel
BuildRequires: libXrandr-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtwebchannel-devel
BuildRequires: qt5-qtwebsockets-devel
BuildRequires: kmod-devel
BuildRequires: hwinfo-devel
BuildRequires: pciutils-devel
BuildRequires: bluez-libs-devel
BuildRequires: lm_sensors-devel
BuildRequires: chrpath

Requires: libkysdk-disk libkysdk-sysinfo libkysdk-systime libkysdk-filesystem libkysdk-proc libkysdk-hardware libkysdk-package libkysdk-powermanagement systemd glib2 libkysdk-systemcommon libkysdk-location libkysdk-net libkysdk-realtime

%description
Kylin Software Development Kit - System Layer Kit
Provides APIs and services such as system information, disk information, and system time


%package -n libkysdk-system-devel
Summary:  libkysdk-system Development libraries, Provides APIs and services such as system information, disk information, and system time
Requires: libkysdk-system libkysdk-disk-devel libkysdk-sysinfo-devel libkysdk-systime-devel libkysdk-filesystem-devel libkysdk-proc-devel libkysdk-hardware-devel libkysdk-package-devel libkysdk-powermanagement-devel libkysdk-location-devel libkysdk-net-devel libkysdk-realtime-devel libkysdk-sysinfo-devel
 
%description -n libkysdk-system-devel
%{summary}.


%package -n libkysdk-disk
Summary:  System disk information acquisition library
Requires: libkysdk-log libkysdk-systemcommon  libkysdk-config hwinfo libblkid glibc systemd-libs 

%description -n libkysdk-disk
%{summary}.


%package -n libkysdk-disk-devel
Summary:  System disk information acquisition library - Development libraries
Requires: libkysdk-disk libkysdk-log-devel libkysdk-utils-devel util-linux-devel systemd-devel

%description -n libkysdk-disk-devel
%{summary}.


%package -n libkysdk-systime
Summary:  Library of system time-related operations
Requires: libkysdk-log  libkysdk-timer libkysdk-config libkysdk-systemcommon  dbus  systemd  glib2 glibc dbus-libs dbus-glib

%description -n libkysdk-systime
%{summary}.


%package -n libkysdk-systime-devel
Summary:  Library of system time-related operations - Development libraries
Requires: libkysdk-systime glib2-devel libkysdk-timer-devel libkysdk-config-devel

%description -n libkysdk-systime-devel
%{summary}.


%package -n libkysdk-sysinfo
Summary:  System Information Acquisition Library
Requires: libkysdk-log libkysdk-systemcommon libkysdk-config dbus glib2 systemd cjson libXrandr  pciutils kmod-libs glibc dbus-libs dbus-glib  libgcc libstdc++  systemd-libs libX11

%description -n libkysdk-sysinfo
%{summary}.


%package -n libkysdk-sysinfo-devel
Summary:  System Information Acquisition Library - Development libraries
Requires: libkysdk-sysinfo libkysdk-log-devel libkysdk-utils-devel systemd-devel cjson-devel dbus-devel dbus-glib-devel glib2-devel libXrandr-devel

%description -n libkysdk-sysinfo-devel
%{summary}.


%package -n libkysdk-filesystem
Summary:  File System Library
Requires: libkysdk-log  qt5-qtbase libkysdk-config systemd   libkysdk-systemcommon glibc  libgcc  libstdc++   systemd-libs 

%description -n libkysdk-filesystem
%{summary}.


%package -n libkysdk-filesystem-devel
Summary:  File System Library - Development libraries
Requires: libkysdk-filesystem libkysdk-log-devel libkysdk-config-devel systemd-devel qt5-qtbase-devel

%description -n libkysdk-filesystem-devel
%{summary}.


%package -n libkysdk-hardware
Summary:  Hardware information acquisition library
Requires: libkysdk-log libkysdk-config systemd libkysdk-systemcommon cups-libs libcurl systemd-libs hwinfo pciutils libXrandr bluez-libs lm_sensors glib2  dbus-glib  glibc systemd-libs libX11

%description -n libkysdk-hardware
%{summary}.


%package -n libkysdk-hardware-devel
Summary:  Hardware information acquisition library - Development libraries
Requires: libkysdk-hardware libkysdk-log-devel libkysdk-config-devel systemd-devel cups-devel libcurl-devel libgudev-devel libXrandr-devel

%description -n libkysdk-hardware-devel
%{summary}.


%package -n libkysdk-package
Summary:  Package Management Library
Requires: libkysdk-systemcommon glibc 

%description -n libkysdk-package
%{summary}.


%package -n libkysdk-package-devel
Summary:  Package Management Library - Development libraries
Requires: libkysdk-package

%description -n libkysdk-package-devel
%{summary}.


%package -n libkysdk-proc
Summary:  Runtime information retrieval library
Requires: libkysdk-log libkysdk-systemcommon glibc 

%description -n libkysdk-proc
%{summary}.


%package -n libkysdk-proc-devel
Summary:  Runtime information retrieval library - Development libraries
Requires: libkysdk-log-devel libkysdk-utils-devel libkysdk-proc

%description -n libkysdk-proc-devel
%{summary}.


%package -n libkysdk-powermanagement
Summary:  Power management library
Requires: libkysdk-log libkysdk-systemcommon glibc dbus-libs libgcc libkysdk-config libkysdk-utils libstdc++ systemd-libs 

%description -n libkysdk-powermanagement
%{summary}.


%package -n libkysdk-powermanagement-devel
Summary:  Power management library - Development libraries
Requires: libkysdk-log-devel libkysdk-powermanagement

%description -n libkysdk-powermanagement-devel
%{summary}.


%package -n libkysdk-ocr
Summary:  AI character recognition function
Requires: opencv leptonica-devel libarchive tesseract libkysdk-systemcommon glibc  libgcc libstdc++  

%description -n libkysdk-ocr
%{summary}.


%package -n libkysdk-ocr-devel
Summary:  AI character recognition function - Development libraries
Requires: libkysdk-ocr leptonica-devel opencv libarchive-devel tesseract-devel

%description -n libkysdk-ocr-devel
%{summary}.


%package -n libkysdk-systemcommon
Summary:  Kysdk system layer common data package

%description -n libkysdk-systemcommon
%{summary}.


%package -n libkysdk-location
Summary:  Geographic Location Library
Requires: libkysdk-systemcommon glib2 glibc python3-requests

%description -n libkysdk-location
%{summary}.


%package -n libkysdk-location-devel
Summary:  Geographic Location Library - Development libraries
Requires: libkysdk-location

%description -n libkysdk-location-devel
%{summary}.


%package -n libkysdk-net
Summary:  Network information base
Requires: libkysdk-systemcommon glibc 

%description -n libkysdk-net
%{summary}.


%package -n libkysdk-net-devel
Summary:  Network information base - Development libraries
Requires: libkysdk-net

%description -n libkysdk-net-devel
%{summary}.


%package -n libkysdk-realtime
Summary:  Runtime repository
Requires: libkysdk-systemcommon glibc libgcc libstdc++  lm_sensors

%description -n libkysdk-realtime
%{summary}.


%package -n libkysdk-realtime-devel
Summary:  Runtime repository - Development libraries
Requires: libkysdk-realtime

%description -n libkysdk-realtime-devel
%{summary}.


%package -n libkysdk-system-java
Summary:  Multi-Language Support - java
Requires: libkysdk-system-dbus

%description -n libkysdk-system-java
%{summary}.


%package -n libkysdk-system-python
Summary:  Multi-Language Support - python
Requires: python3-dbus libkysdk-system-dbus

%description -n libkysdk-system-python
%{summary}.


%package -n libkysdk-system-dbus
Summary:  sdk dbus
Requires: qt5-qtbase libkysdk-disk libkysdk-hardware libkysdk-location libkysdk-net libkysdk-package libkysdk-proc libkysdk-realtime libkysdk-sysinfo libblkid bluez-libs glibc cjson  cups-libs libcurl dbus-libs dbus-glib libgcc glib2 hwinfo kmod-libs libkysdk-config libkysdk-log pciutils qt5-qtbase lm_sensors libstdc++ systemd-libs systemd-libs libX11 libXrandr

%description -n libkysdk-system-dbus
%{summary}.


%package -n libkysdk-system-javascript-http
Summary:  Multi-Language Support - javascript
Requires: qt5-qtbase-gui qt5-qtbase-gui qt5-qtbase qt5-qtbase libkysdk-system-dbus glibc  libgcc qt5-qtbase qt5-qtbase libstdc++  

%description -n libkysdk-system-javascript-http
%{summary}.


%package -n libkysdk-system-javascript-websocket
Summary:  Multi-Language Support - javascript
Requires: qt5-qtwebchannel-devel qt5-qtwebsockets libkysdk-system-dbus glibc libgcc qt5-qtbase qt5-qtdeclarative qt5-qtbase-gui libstdc++  

%description -n libkysdk-system-javascript-websocket
%{summary}.


%package -n libkysdk-logrotate
Summary:  Log Dump Service
Requires: libkysdk-systemcommon qt5-qtbase libkysdk-log logrotate glibc libgcc libstdc++ cronie

%description -n libkysdk-logrotate
%{summary}.


%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir build && pushd build
%cmake ..
%{make_build}
popd

%install
rm -rf $RPM_BUILD_ROOT 
pushd build
%{make_install} DESTDIR=%{buildroot}
popd
mkdir -p $RPM_BUILD_ROOT/usr/share/pkgconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/libkysdk-system
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/dbus-1/system.d
mkdir -p $RPM_BUILD_ROOT/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/etc/xdg/autostart/
mkdir -p $RPM_BUILD_ROOT/etc/kydate/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/mn/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/etc/kdkocr/
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
mkdir -p $RPM_BUILD_ROOT/usr/share/java
mkdir -p $RPM_BUILD_ROOT/usr/lib/python3/dist-packages/
mkdir -p $RPM_BUILD_ROOT/etc/kysdk
mkdir -p $RPM_BUILD_ROOT/usr/lib/kysdk-dbus-http
mkdir -p $RPM_BUILD_ROOT/usr/lib/kysdk-dbus-websocket

cp development-files/*.pc $RPM_BUILD_ROOT/usr/share/pkgconfig/
cp debian/copyright $RPM_BUILD_ROOT/usr/share/doc/libkysdk-system/ 
cp bin/systime $RPM_BUILD_ROOT/usr/bin/
cp src/systemtime/com.kylin.kysdk.TimeServer.conf $RPM_BUILD_ROOT/etc/dbus-1/system.d/
cp src/systemtime/kysdk-systime.service $RPM_BUILD_ROOT/lib/systemd/system/
cp src/systemtime/kysdk-systime-date.desktop $RPM_BUILD_ROOT/etc/xdg/autostart/
cp bin/sdk-date $RPM_BUILD_ROOT/usr/bin/
cp src/systemtime/dateform.conf $RPM_BUILD_ROOT/etc/kydate/


cp po/zh_CN.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
cp po/bo_CN.mo $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/
mv $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/zh_CN.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/kysdk-date.mo
mv $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/bo_CN.mo $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/kysdk-date.mo

cp po/kysdk-sysinfo_mn.mo $RPM_BUILD_ROOT/usr/share/locale/mn/LC_MESSAGES/
cp po/kysdk-sysinfo_zh_CN.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
cp po/kysdk-sysinfo_bo_CN.mo $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/
mv $RPM_BUILD_ROOT/usr/share/locale/mn/LC_MESSAGES/kysdk-sysinfo_mn.mo $RPM_BUILD_ROOT/usr/share/locale/mn/LC_MESSAGES/kysdk-sysinfo.mo
mv $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/kysdk-sysinfo_zh_CN.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/kysdk-sysinfo.mo
mv $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/kysdk-sysinfo_bo_CN.mo $RPM_BUILD_ROOT/usr/share/locale/bo_CN/LC_MESSAGES/kysdk-sysinfo.mo

cp src/powermanagement/libkylockscreen.h $RPM_BUILD_ROOT/usr/include/kysdk/kysdk-system/
cp src/kdkocr/models/* $RPM_BUILD_ROOT/etc/kdkocr/ -r
cp development-files/kysdk-system.conf $RPM_BUILD_ROOT/etc/ld.so.conf.d/
cp src/location/location.py $RPM_BUILD_ROOT/usr/bin/
cp src/location/dbus_location.conf $RPM_BUILD_ROOT/etc/dbus-1/system.d/
cp src/location/dbus_location.service $RPM_BUILD_ROOT/lib/systemd/system/
cp src/kysdk-java/kysdk-java-ext/kysdk-java/target/kysdk-java-1.0.0.jar $RPM_BUILD_ROOT/usr/share/java/
cp src/python/kysdk.py $RPM_BUILD_ROOT/usr/lib/python3/dist-packages/
cp bin/kySdkDbus $RPM_BUILD_ROOT/usr/bin/
cp bin/kySdkDbus-session $RPM_BUILD_ROOT/usr/bin/
cp src/kysdkdbus/com.kylin.kysdk.service.conf $RPM_BUILD_ROOT/etc/dbus-1/system.d/
cp src/kysdkdbus/kysdk-dbus.service $RPM_BUILD_ROOT/lib/systemd/system/
cp src/kysdkdbus/kysdk-dbus-session.desktop $RPM_BUILD_ROOT/etc/xdg/autostart/
cp src/libkysdk-system-javascript-http/httpServer $RPM_BUILD_ROOT/usr/bin/
cp src/libkysdk-system-javascript-http/conf/kysdk.conf $RPM_BUILD_ROOT/etc/kysdk/
cp src/libkysdk-system-javascript-http/conf/kysdkHttpServer.desktop $RPM_BUILD_ROOT/etc/xdg/autostart/
cp src/libkysdk-system-javascript-http/html $RPM_BUILD_ROOT/usr/lib/kysdk-dbus-http/html -r
cp src/libkysdk-system-javascript-websocket/kysdk-dbus-websocket $RPM_BUILD_ROOT/usr/bin/
cp src/libkysdk-system-javascript-websocket/kysdk-dbus-websocket.desktop $RPM_BUILD_ROOT/etc/xdg/autostart/
cp src/libkysdk-system-javascript-websocket/html $RPM_BUILD_ROOT/usr/lib/kysdk-dbus-websocket/html -r
cp bin/kysdk-logrotate $RPM_BUILD_ROOT/usr/bin/
cp src/logrotate/com.kysdk.base.conf $RPM_BUILD_ROOT/etc/dbus-1/system.d/
cp src/logrotate/kysdk-logrotate.service $RPM_BUILD_ROOT/lib/systemd/system/
cp src/logrotate/logrotate.cron $RPM_BUILD_ROOT/usr/lib/kysdk/kysdk-system/


%clean
rm -rf $RPM_BUILD_ROOT

%post -n libkysdk-location
systemctl enable dbus_location.service
systemctl restart dbus_location.service

%post -n libkysdk-logrotate
systemctl enable kysdk-logrotate.service
systemctl restart kysdk-logrotate.service
crontab /usr/lib/kysdk/kysdk-system/logrotate.cron

%post -n libkysdk-system-dbus
systemctl daemon-reload
systemctl enable kysdk-dbus.service

%post -n libkysdk-systime
check_env=`systemd-detect-virt`
echo $check_env
if [ $check_env = "docker" ];then
        echo "docker env do not start kysdk-systime.service"
else
        systemctl daemon-reload
        systemctl enable kysdk-systime.service
        systemctl restart kysdk-systime.service
fi

%files 
%{_datadir}/doc/libkysdk-system/copyright

%files -n libkysdk-system-devel
%{_datadir}/pkgconfig/kysdk-system.pc

%files -n libkysdk-disk
%{_prefix}/lib/kysdk/kysdk-system/libkydiskinfo.so*

%files -n libkysdk-disk-devel
%{_includedir}/kysdk/kysdk-system/libkydiskinfo.h
%{_datadir}/pkgconfig/kysdk-disk.pc

%files -n libkysdk-systime
%{_bindir}/systime
%{_sysconfdir}/dbus-1/system.d/com.kylin.kysdk.TimeServer.conf
/lib/systemd/system/kysdk-systime.service
%{_sysconfdir}/xdg/autostart/kysdk-systime-date.desktop
%{_bindir}/sdk-date
%{_prefix}/lib/kysdk/kysdk-system/libkydate.so*
%{_sysconfdir}/kydate/dateform.conf
%{_datadir}/locale/zh_CN/LC_MESSAGES/kysdk-date.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kysdk-date.mo


%files -n libkysdk-systime-devel
%{_includedir}/kysdk/kysdk-system/libkydate.h
%{_datadir}/pkgconfig/kysdk-systime.pc

%files -n libkysdk-sysinfo
%{_prefix}/lib/kysdk/kysdk-system/libkysysinfo.so*
%{_datadir}/locale/mn/LC_MESSAGES/kysdk-sysinfo.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/kysdk-sysinfo.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kysdk-sysinfo.mo

%files -n libkysdk-sysinfo-devel
%{_includedir}/kysdk/kysdk-system/libkysysinfo.hpp
%{_includedir}/kysdk/kysdk-system/libkysysinfo.h
%{_datadir}/pkgconfig/kysdk-sysinfo.pc

%files -n libkysdk-filesystem
%{_prefix}/lib/kysdk/kysdk-system/libkyfilewatcher.so*

%files -n libkysdk-filesystem-devel
%{_includedir}/kysdk/kysdk-system/libkyfilewatcher.hpp
%{_includedir}/kysdk/kysdk-system/libkyfilewatcher_global.hpp
%{_datadir}/pkgconfig/kysdk-filesystem.pc

%files -n libkysdk-hardware
%{_prefix}/lib/kysdk/kysdk-system/libkyhw.so*
%{_prefix}/lib/kysdk/kysdk-system/libkybluetooth.so*
%{_prefix}/lib/kysdk/kysdk-system/libkyedid.so*
%{_prefix}/lib/kysdk/kysdk-system/libkyfan.so*
%{_prefix}/lib/kysdk/kysdk-system/libkyhwinfo.so*

%files -n libkysdk-hardware-devel
%{_includedir}/kysdk/kysdk-system/libkybluetooth.h
%{_includedir}/kysdk/kysdk-system/libkydisplay.h
%{_includedir}/kysdk/kysdk-system/libkyedid.h
%{_includedir}/kysdk/kysdk-system/libkyfan.h
%{_includedir}/kysdk/kysdk-system/libkyhw.h
%{_includedir}/kysdk/kysdk-system/libkync.h
%{_includedir}/kysdk/kysdk-system/libkycpu.h
%{_includedir}/kysdk/kysdk-system/libkyprinter.h
%{_includedir}/kysdk/kysdk-system/libkybios.h
%{_includedir}/kysdk/kysdk-system/libkyboard.h
%{_includedir}/kysdk/kysdk-system/libkyusb.h
%{_datadir}/pkgconfig/kysdk-hardware.pc

%files -n libkysdk-package
%{_prefix}/lib/kysdk/kysdk-system/libkypackage.so*

%files -n libkysdk-package-devel
%{_includedir}/kysdk/kysdk-system/libkypackages.h
%{_datadir}/pkgconfig/kysdk-package.pc

%files -n libkysdk-proc
%{_prefix}/lib/kysdk/kysdk-system/libkyrtinfo.so*

%files -n libkysdk-proc-devel
%{_includedir}/kysdk/kysdk-system/libkyrtinfo.h
%{_includedir}/kysdk/kysdk-system/libkyprocess.h
%{_datadir}/pkgconfig/kysdk-proc.pc

%files -n libkysdk-powermanagement
%{_prefix}/lib/kysdk/kysdk-system/libkypowermanagement.so*

%files -n libkysdk-powermanagement-devel
%{_includedir}/kysdk/kysdk-system/libkylockscreen.h
%{_datadir}/pkgconfig/kysdk-powermanagement.pc

%files -n libkysdk-ocr
%{_prefix}/lib/kysdk/kysdk-system/libkyocr.so*
%{_prefix}/lib/libpaddle_inference.so
%{_sysconfdir}/kdkocr/*

%files -n libkysdk-ocr-devel
%{_includedir}/kysdk/kysdk-system/libkyocr.hpp
%{_datadir}/pkgconfig/kysdk-ocr.pc

%files -n libkysdk-systemcommon
%{_sysconfdir}/ld.so.conf.d/kysdk-system.conf

%files -n libkysdk-location
%{_prefix}/lib/kysdk/kysdk-system/libkylocation.so*
%{_bindir}/location.py
%{_sysconfdir}/dbus-1/system.d/dbus_location.conf
/lib/systemd/system/dbus_location.service

%files -n libkysdk-location-devel
%{_includedir}/kysdk/kysdk-system/libkylocation.h
%{_datadir}/pkgconfig/kysdk-location.pc

%files -n libkysdk-net
%{_prefix}/lib/kysdk/kysdk-system/libkynetinfo.so*

%files -n libkysdk-net-devel
%{_includedir}/kysdk/kysdk-system/libkynetinfo.h
%{_datadir}/pkgconfig/kysdk-net.pc

%files -n libkysdk-realtime
%{_prefix}/lib/kysdk/kysdk-system/libkyrealtime.so*

%files -n libkysdk-realtime-devel
%{_includedir}/kysdk/kysdk-system/libkyrealtimeinfo.h
%{_datadir}/pkgconfig/kysdk-realtime.pc

%files -n libkysdk-system-java
%{_datadir}/java/kysdk-java-1.0.0.jar

%files -n libkysdk-system-python
%{_prefix}/lib/python3/dist-packages/kysdk.py

%files -n libkysdk-system-dbus
%{_bindir}/kySdkDbus
%{_bindir}/kySdkDbus-session
%{_sysconfdir}/dbus-1/system.d/com.kylin.kysdk.service.conf
/lib/systemd/system/kysdk-dbus.service
%{_sysconfdir}/xdg/autostart/kysdk-dbus-session.desktop

%files -n libkysdk-system-javascript-http
%{_bindir}/httpServer
%{_sysconfdir}/kysdk/kysdk.conf
%{_sysconfdir}/xdg/autostart/kysdkHttpServer.desktop
%{_prefix}/lib/kysdk-dbus-http/html/

%files -n libkysdk-system-javascript-websocket
%{_bindir}/kysdk-dbus-websocket
%{_sysconfdir}/xdg/autostart/kysdk-dbus-websocket.desktop
%{_prefix}/lib/kysdk-dbus-websocket/html/

%files -n libkysdk-logrotate
%{_bindir}/kysdk-logrotate
%{_sysconfdir}/dbus-1/system.d/com.kysdk.base.conf
/lib/systemd/system/kysdk-logrotate.service
%{_prefix}/lib/kysdk/kysdk-system/logrotate.cron

%changelog
* Fri Sep 06 2024 peijiankang <peijiankang@kylinos.cn> - 2.2.3.5-3
- Type:update
- ID:NA
- SUG:NA
- DESC: add 0001-fix-libkysdk-system-2.2.3.5-known-issue.patch

* Wed Aug 28 2024 douyan <douyan@kylinos.cn> - 2.2.3.5-2
- Type:update
- ID:NA
- SUG:NA
- DESC: fix libkysdk-systime  libkysdk-sysinfo uninstall issue

* Thu Mar 28 2024 huayadong <huayadong@kylinos.cn> - 2.2.3.5-1
- update version to 2.2.3.5

* Fri Aug 18 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0.0-2
- add mv-strlcpy-to-libkysdk_strlcpy.patch

* Fri May 26 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0.0-1
- update version to 2.0.0.0

* Tue Mar 28 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0-4
- mv Requires libopencv-devel to opencv

* Thu Feb 09 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0-3
- add build debuginfo and debugsource

* Thu Jan 5 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0-2
- update installdir from kgconfig to pkgconfig

* Mon Dec 5 2022 peijiankang <peijiankang@kylinos.cn> - 2.0.0-1
- update version to 2.0.0

* Thu Nov 3 2022 peijiankang <peijiankang@kylinos.cn> - 1.0.0-1
- Init Package for libkysdk-system
